darcs

Issue 1613 tracking annotations for patches

Title tracking annotations for patches
Priority feature Status deferred
Milestone Resolved in
Superseder Nosy List darcs-devel, dmitry.kurochkin, galbolle, ganesh, kowey, stephen, zweije
Assigned To
Topics

Created on 2009-09-14.13:37:40 by kowey, last changed 2010-11-15.08:41:49 by zweije.

Messages
msg8812 (view) Author: kowey Date: 2009-09-14.13:37:37
It would be nice if Darcs could attach things to patches

People use revision control systems for different things.  Darcs users use it to
keep track of patches; Git and other users often use it to keep track of repo
history.

It would be nice if a future version of Darcs offered the ability to track
history type information as well.  The idea is that given a patch, people would
be able to ask Darcs questions of it like:
- who applied this patch?
- when was it applied to what repository?
- who signed off on it?
- when was this merged with branch foo?
- has this patch been tested? (see David's --tag-on-tested feature)
- what version of the this patch are we looking at?

I imagine that the way to implement this would be to have some sort of 'optional
metadata' layer of things that are not really part and parcel of the patch, that
don't affect its identity or commutation properties, but which can somehow been
shipped around.

I'm making the following people nosy:
- Florent because he's made suggestions which I think may require this and
- Stephen because he's made interesting comments on the nature of distributed
version control system workflows
- Jason because of issue1096
If this is spam for you guys, please let me know and I shall refrain from this
sort of thing in the future.
msg9732 (view) Author: dagit Date: 2010-01-06.16:13:16
I have another use for patch metadata.  I would like to make some tools in the
future that do certain types of mechanical verification of patches.  Imagine
that patches are clearsigned by having metadata with the signature or a tool
that can tell you if a patch is purely a semantic preserving refactoring.

So yes, having an extensible metadata system for patches sounds really attractive.

+1
msg10343 (view) Author: kowey Date: 2010-03-21.06:56:14
Ganesh brought up the idea of patch annotations during the 2010-03
Zurich sprint, which I think is this idea, particularly because we agree
on the principle that one should be able to delete annotations without
fundamentally changing the behaviour of Darcs.
History
Date User Action Args
2009-09-14 13:37:40koweycreate
2009-09-29 06:50:01dagitsetnosy: - dagit
2009-10-24 00:41:58adminsetnosy: + stephen, - turnbull
2010-01-06 16:13:18dagitsetnosy: + dagit
messages: + msg9732
2010-03-21 06:56:16koweysetnosy: + ganesh
messages: + msg10343
title: tracking metadata for patches -> tracking metadata/annotations for patches
2010-03-22 15:55:17koweysettitle: tracking metadata/annotations for patches -> tracking annotations for patches
2010-03-22 16:31:36dagitsetnosy: - dagit
2010-04-13 10:21:32koweylinkissue891 superseder
2010-11-15 08:41:49zweijesetnosy: + zweije